Loading...
Searching...
No Matches
OpenMesh::IO::_STLReader_ Class Reference

Implementation of the STL format reader. More...

`#include <OpenMesh/Core/IO/reader/STLReader.hh>`

Inheritance diagram for OpenMesh::IO::_STLReader_:
[legend]
Collaboration diagram for OpenMesh::IO::_STLReader_:
[legend]

## Public Member Functions

virtual | ~_STLReader_ ()
| Destructor.
std::string | get_description () const override
| Returns a brief description of the file type that can be parsed.
std::string | get_extensions () const override
| Returns a string with the accepted file extensions separated by a whitespace and in small caps.
bool | read (const std::string &_filename, BaseImporter &_bi, Options &_opt) override
| Reads a mesh given by a filename.
bool | read (std::istream &_in, BaseImporter &_bi, Options &_opt) override
| Reads a mesh given by a std::stream.
void | set_epsilon (float _eps)
| Set the threshold to be used for considering two point to be equal.
float | epsilon () const
| Returns the threshold to be used for considering two point to be equal.
Public Member Functions inherited from OpenMesh::IO::BaseReader
virtual | ~BaseReader ()
| Destructor.
virtual std::string | get_magic () const
| Return magic bits used to determine file format.
virtual bool | can_u_read (const std::string &_filename) const
| Returns true if writer can parse _filename (checks extension).

## Additional Inherited Members

Protected Member Functions inherited from OpenMesh::IO::BaseReader
bool | check_extension (const std::string &_fname, const std::string &_ext) const

## Detailed Description

Implementation of the STL format reader.

This class is singleton'ed by SingletonT to STLReader.

## Member Function Documentation

## get_description()

std::string OpenMesh::IO::_STLReader_::get_description | ( |  | ) | const

inline override virtual

Returns a brief description of the file type that can be parsed.

Implements OpenMesh::IO::BaseReader.

## get_extensions()

std::string OpenMesh::IO::_STLReader_::get_extensions | ( |  | ) | const

inline override virtual

Returns a string with the accepted file extensions separated by a whitespace and in small caps.

Implements OpenMesh::IO::BaseReader.

## read() [1/2]

bool OpenMesh::IO::_STLReader_::read | ( | const std::string & | _filename,
|  | BaseImporter & | _bi,
|  | Options & | _opt )

override virtual

Reads a mesh given by a filename.

Usually this method opens a stream and passes it to stream read method. Acceptance checks by filename extension can be placed here.

Options can be passed via _opt. After execution _opt contains the Options that were available

Implements OpenMesh::IO::BaseReader.

## read() [2/2]

bool OpenMesh::IO::_STLReader_::read | ( | std::istream & | _is,
|  | BaseImporter & | _bi,
|  | Options & | _opt )

override virtual

Reads a mesh given by a std::stream.

This method usually uses the same stream reading method that read uses. Options can be passed via _opt. After execution _opt contains the Options that were available.

Please make sure that if _is is std::ifstream, the correct std::ios_base::openmode flags are set.

Implements OpenMesh::IO::BaseReader.

## set_epsilon()

void OpenMesh::IO::_STLReader_::set_epsilon | ( | float | _eps | ) |

inline

Set the threshold to be used for considering two point to be equal.

Can be used to merge small gaps

The documentation for this class was generated from the following files:

- OpenMesh/Core/IO/reader/STLReader.hh
- OpenMesh/Core/IO/reader/STLReader.cc